Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.data
Class EpmCustomDataManagerImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.SessionImpl
            |
            +--com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
                  |
                  +--com.beasys.commerce.ebusiness.catalog.service.data.EpmCustomDataManagerImpl

public class EpmCustomDataManagerImpl
extends CatalogServiceImpl

The implementation class for the `EpmCustomDataManager` Session EJB.

See Also:
  `EpmCustomDataManager`, `EpmCustomDataManagerHome`, Serialized Form

Field Summary
`static java.lang.String` | `CATALOG_PROPERTY_SET_TYPE`
`static java.lang.String` | `CATEGORY_JNDI_NAME` The JNDI name for the Category ConfigurableEntity home interface.
`static java.lang.String` | `PRODUCT_ITEM_JNDI_NAME` The JNDI name for the ProductItem ConfigurableEntity home interface.

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`EpmCustomDataManagerImpl()`

Method Summary
`protected PropertyLocator` | `createPropertyLocator(CatalogItemKey itemKey)` Creates a `PropertyLocator` based upon the supplied `CatalogItemKey`.
`protected PropertyLocator` | `createPropertyLocator(CatalogItemKey itemKey, java.lang.String propertySetType)`
`long` | `createUniqueId(CatalogRequest request, java.lang.String jndiHomeName, java.lang.String pkString)` Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`java.util.Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey)` Retrieve all the property values within a namespace
`java.util.Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey, java.lang.String namespace)` Retrieve all the property values within a namespace
`java.lang.Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String namespace, java.lang.String key, java.lang.Object defaultValue)` Retrieve the value associated with the named key.
`java.lang.Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String propertySetName, java.lang.String propertySetType, java.lang.String key, boolean returnDefault)` Retrieve the value associated with the named key.
`void` | `removeProperties(CatalogRequest request, CatalogItemKey itemKey)` Remove all the properties for an item with a namespace
`java.lang.Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String namespace, java.lang.String key)` Remove the property associated with the named key.
`java.lang.Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String propertySetName, java.lang.String propertySetType, java.lang.String key)` Remove the property associated with the named key.
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String namespace, java.lang.String key, java.lang.Object value)` Associate the specified value with the named key.
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String propertySetName, java.lang.String propertySetType, java.lang.String key, java.lang.Object value)` Associate the specified value with the named key.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`getCatalogManager, getCatalogManagerJndiName, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRODUCT_ITEM_JNDI_NAME

    public static final java.lang.String PRODUCT_ITEM_JNDI_NAME

  The JNDI name for the ProductItem ConfigurableEntity home interface.

### CATEGORY_JNDI_NAME

    public static final java.lang.String CATEGORY_JNDI_NAME

  The JNDI name for the Category ConfigurableEntity home interface.

### CATALOG_PROPERTY_SET_TYPE

    public static final java.lang.String CATALOG_PROPERTY_SET_TYPE

Constructor Detail

### EpmCustomDataManagerImpl

    public EpmCustomDataManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Overrides:
    ejbCreate in class CatalogServiceImpl

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Overrides:
    ejbPostCreate in class CatalogServiceImpl

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Overrides:
    ejbActivate in class CatalogServiceImpl

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Overrides:
    ejbPassivate in class CatalogServiceImpl

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Overrides:
    ejbRemove in class CatalogServiceImpl

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Overrides:
    setSessionContext in class CatalogServiceImpl

### getProperty

    public java.lang.Object getProperty(CatalogRequest request,
                                        CatalogItemKey itemKey,
                                        java.lang.String namespace,
                                        java.lang.String key,
                                        java.lang.Object defaultValue)
                                 throws CatalogException,
                                        java.rmi.RemoteException

  Retrieve the value associated with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws:
    CatalogException - on general error.

### getProperty

    public java.lang.Object getProperty(CatalogRequest request,
                                        CatalogItemKey itemKey,
                                        java.lang.String propertySetName,
                                        java.lang.String propertySetType,
                                        java.lang.String key,
                                        boolean returnDefault)
                                 throws CatalogException,
                                        java.rmi.RemoteException

  Retrieve the value associated with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws:
    CatalogException - on general error.

### removeProperty

    public java.lang.Object removeProperty(CatalogRequest request,
                                           CatalogItemKey itemKey,
                                           java.lang.String namespace,
                                           java.lang.String key)
                                    throws CatalogException,
                                           java.rmi.RemoteException

  Remove the property associated with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws:
    CatalogException - on general error.

### removeProperty

    public java.lang.Object removeProperty(CatalogRequest request,
                                           CatalogItemKey itemKey,
                                           java.lang.String propertySetName,
                                           java.lang.String propertySetType,
                                           java.lang.String key)
                                    throws CatalogException,
                                           java.rmi.RemoteException

  Remove the property associated with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws:
    CatalogException - on general error.

### setProperty

    public void setProperty(CatalogRequest request,
                            CatalogItemKey itemKey,
                            java.lang.String namespace,
                            java.lang.String key,
                            java.lang.Object value)
                     throws CatalogException,
                            java.rmi.RemoteException

  Associate the specified value with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `name` - The name to associate the value with.
    `value` - The value to associate with the name.
  Throws:
    CatalogException - on general error.

### setProperty

    public void setProperty(CatalogRequest request,
                            CatalogItemKey itemKey,
                            java.lang.String propertySetName,
                            java.lang.String propertySetType,
                            java.lang.String key,
                            java.lang.Object value)
                     throws java.rmi.RemoteException,
                            CatalogException

  Associate the specified value with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `name` - The name to associate the value with.
    `value` - The value to associate with the name.
  Throws:
    CatalogException - on general error.

### getProperties

    public java.util.Map getProperties(CatalogRequest request,
                                       CatalogItemKey itemKey)
                                throws java.rmi.RemoteException,
                                       CatalogException

  Retrieve all the property values within a namespace

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws:
    CatalogException - on general error.

### getProperties

    public java.util.Map getProperties(CatalogRequest request,
                                       CatalogItemKey itemKey,
                                       java.lang.String namespace)
                                throws java.rmi.RemoteException,
                                       CatalogException

  Retrieve all the property values within a namespace

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws:
    CatalogException - on general error.

### removeProperties

    public void removeProperties(CatalogRequest request,
                                 CatalogItemKey itemKey)
                          throws java.rmi.RemoteException,
                                 CatalogException

  Remove all the properties for an item with a namespace

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws:
    CatalogException - on general error.

### createUniqueId

    public long createUniqueId(CatalogRequest request,
                               java.lang.String jndiHomeName,
                               java.lang.String pkString)
                        throws java.rmi.RemoteException,
                               CatalogException

  Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.

  Parameters:
    `request` - The catalog request.
    `jndiHomeName` - the entity's home name
    `pkString` - the entity's identifier string
  Returns:
    the newly created entity id
  Throws:
    CatalogException - if there is an error

### createPropertyLocator

    protected PropertyLocator createPropertyLocator(CatalogItemKey itemKey,
                                                    java.lang.String propertySetType)
                                             throws java.rmi.RemoteException

### createPropertyLocator

    protected PropertyLocator createPropertyLocator(CatalogItemKey itemKey)
                                             throws java.rmi.RemoteException

  Creates a `PropertyLocator` based upon the supplied `CatalogItemKey`.

  Parameters:
    `itemKey` - the key used to create a `PropertyLocator`
  Returns:
    a `PropertyLocator` based upon the supplied `CatalogItemKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved